> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poshmark user items

> Listings in a Poshmark closet by username or URL, with department, category, brand, size, color, price, condition, shipping, availability and sort filters. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-poshmark-users-items
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-poshmark-users-items:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Poshmark user items
      description: >-
        Listings in a Poshmark closet by username or URL, with department,
        category, brand, size, color, price, condition, shipping, availability
        and sort filters. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user:
                  description: >-
                    Username or closet URL. e.g. Username or closet URL, e.g.
                    najescloset
                  type: string
                domain:
                  description: >-
                    Domain. Options: poshmark.com = poshmark.com, poshmark.ca =
                    poshmark.ca
                  type: string
                  enum:
                    - poshmark.com
                    - poshmark.ca
                  default: poshmark.com
                max_items:
                  description: Max items (up to 500)
                  type: integer
                  minimum: 1
                  maximum: 500
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                sort:
                  description: >-
                    Sort by. Options: relevance = Relevance, just_in = Just in,
                    price_low_to_high = Price: low to high, price_high_to_low =
                    Price: high to low
                  type: string
                  enum:
                    - relevance
                    - just_in
                    - price_low_to_high
                    - price_high_to_low
                availability:
                  description: >-
                    Availability. Options: all = All, available = Available,
                    available_and_dropping_soon = Available and dropping soon,
                    dropping_soon = Dropping soon, sold = Sold, not_for_sale =
                    Not for sale
                  type: string
                  enum:
                    - all
                    - available
                    - available_and_dropping_soon
                    - dropping_soon
                    - sold
                    - not_for_sale
                department:
                  description: >-
                    Department. Options: Women = Women, Men = Men, Kids = Kids,
                    Home = Home, Electronics = Electronics, Pets = Pets, Beauty
                    & Wellness = Beauty & Wellness
                  type: string
                  enum:
                    - Women
                    - Men
                    - Kids
                    - Home
                    - Electronics
                    - Pets
                    - Beauty & Wellness
                condition:
                  description: >-
                    Condition. Options: all = All conditions, nwt = New with
                    tags (NWT)
                  type: string
                  enum:
                    - all
                    - nwt
                category:
                  description: Category. e.g. e.g. Shoes, Dresses, Bags
                  type: string
                subcategory:
                  description: Subcategory. e.g. e.g. Athletic Shoes, Sneakers
                  type: string
                brand:
                  description: Brand. e.g. e.g. Nike, Coach
                  type: string
                size:
                  description: Sizes (comma separated). e.g. e.g. 8, M
                  type: string
                price_min:
                  description: Min price
                  type: number
                  minimum: 0
                price_max:
                  description: Max price
                  type: number
                  minimum: 0
                shipping:
                  description: >-
                    Shipping. Options: free = Free shipping, discounted =
                    Discounted shipping
                  type: string
                  enum:
                    - free
                    - discounted
                color:
                  description: Colors
                  type: array
                  items:
                    type: string
                    enum:
                      - Red
                      - Pink
                      - Orange
                      - Yellow
                      - Green
                      - Blue
                      - Purple
                      - Gold
                      - Silver
                      - Black
                      - Gray
                      - White
                      - Cream
                      - Brown
                      - Tan
              required:
                - user
            example:
              user: Username or closet URL, e.g. najescloset
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  user:
                    type: string
                  username:
                    type: string
                  domain:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          '@type':
                            type: string
                          id:
                            type: string
                          url:
                            type: string
                          title:
                            type: string
                          description:
                            type: string
                          brand:
                            type: string
                          brand_id:
                            type: string
                          price:
                            type: object
                            properties:
                              '@type':
                                type: string
                              amount:
                                type: integer
                              currency:
                                type: string
                              currency_symbol:
                                type: string
                          original_price: {}
                          condition:
                            type: string
                          size:
                            type: string
                          size_system:
                            type: string
                          colors:
                            type: array
                            items: {}
                          department:
                            type: object
                            properties:
                              id:
                                type: string
                              display:
                                type: string
                              slug:
                                type: string
                          category:
                            type: object
                            properties:
                              id:
                                type: string
                              display:
                                type: string
                              slug:
                                type: string
                          subcategories:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                          image:
                            type: string
                          images:
                            type: array
                            items: {}
                          status:
                            type: string
                          availability:
                            type: string
                          origin_domain:
                            type: string
                          share_count:
                            type: integer
                          like_count:
                            type: integer
                          comment_count:
                            type: integer
                          has_offer:
                            type: boolean
                          created_at:
                            type: integer
                          first_published_at:
                            type: integer
                          updated_at:
                            type: integer
                          seller:
                            type: object
                            properties:
                              '@type':
                                type: string
                              id:
                                type: string
                              alias:
                                type: string
                              display_handle:
                                type: string
                              full_name:
                                type: string
                              image:
                                type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@type':
                              type: string
                            id:
                              type: string
                            url:
                              type: string
                            title:
                              type: string
                            description:
                              type: string
                            brand:
                              type: string
                              nullable: true
                            brand_id:
                              type: string
                              nullable: true
                            price:
                              type: object
                              properties:
                                '@type':
                                  type: string
                                amount:
                                  type: integer
                                currency:
                                  type: string
                                currency_symbol:
                                  type: string
                            original_price: {}
                            condition:
                              type: string
                            size:
                              type: string
                            size_system:
                              type: string
                            colors:
                              type: array
                              items: {}
                            department:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                            category:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                            subcategories:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  display:
                                    type: string
                                  slug:
                                    type: string
                            image:
                              type: string
                            images:
                              type: array
                              items: {}
                            status:
                              type: string
                            availability:
                              type: string
                            origin_domain:
                              type: string
                            share_count:
                              type: integer
                            like_count:
                              type: integer
                            comment_count:
                              type: integer
                            has_offer:
                              type: boolean
                            created_at:
                              type: integer
                            first_published_at:
                              type: integer
                            updated_at:
                              type: integer
                            seller:
                              type: object
                              properties:
                                '@type':
                                  type: string
                                id:
                                  type: string
                                alias:
                                  type: string
                                display_handle:
                                  type: string
                                full_name:
                                  type: string
                                image:
                                  type: string
                      not_found:
                        type: boolean
                      total_results:
                        type: integer
                      unrecognized_filters:
                        type: array
                        items: {}
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: poshmark_user_items
                user: joemiles72
                username: joemiles72
                domain: poshmark.com
                max_items: 2
                start_page: 1
                partial: false
                human: |-
                  # Poshmark user items

                  - **User:** joemiles72
                  - **Domain:** poshmark.com
                  - **Starting page:** 1
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 1.24 MB
                  - **Total matching on site:** 1133
                machine:
                  total_items: 2
                  first_item:
                    '@type': PoshmarkListing
                    id: 6ab400d9353f0a30c14e0f70
                    url: https://poshmark.com/listing/6ab400d9353f0a30c14e0f70
                    title: >-
                      New Condition Sterling Silver Oval Oblong Lapis Ring Size
                      7 J23
                    description: >-
                      Welcome to Midwest Treasures KC!


                      Silver prices are exploding, as well as tariffs, which is
                      raising prices every day. Don't wait! These items will be
                      more money tomorrow and beyond.


                      We do not respond
                    brand: Lapis
                    brand_id: 53d96e4e5632a02800000248
                    price:
                      '@type': PoshmarkPrice
                      amount: 59
                      currency: USD
                      currency_symbol: $
                    original_price: null
                    condition: uln
                    size: OS
                    size_system: us
                    colors: []
                    department:
                      id: 000e8975d97b4e80ef00a955
                      display: Women
                      slug: Women
                    category:
                      id: 00288975d97b4e80ef00a955
                      display: Jewelry
                      slug: Jewelry
                    subcategories:
                      - id: 011a9287d97b4e80ef00a955
                        display: Rings
                        slug: Rings
                    image: >-
                      https://di2ponv0v5otw.cloudfront.net/posts/2026/09/23/6ab400d9353f0a30c14e0f70/m_6ab400da4fcf264c11251fd1.jpg
                    images: []
                    status: published
                    availability: available
                    origin_domain: us
                    share_count: 5
                    like_count: 1
                    comment_count: 0
                    has_offer: true
                    created_at: 1790181593
                    first_published_at: 1790181595
                    updated_at: 1790635971
                    seller:
                      '@type': PoshmarkUserPreview
                      id: 659d66d89b37c7cf9a2475a7
                      alias: joemiles72
                      display_handle: joemiles72
                      full_name: Joe Miles
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg
                  items:
                    - '@type': PoshmarkListing
                      id: 6ab400d9353f0a30c14e0f70
                      url: https://poshmark.com/listing/6ab400d9353f0a30c14e0f70
                      title: >-
                        New Condition Sterling Silver Oval Oblong Lapis Ring
                        Size 7 J23
                      description: >-
                        Welcome to Midwest Treasures KC!


                        Silver prices are exploding, as well as tariffs, which
                        is raising prices every day. Don't wait! These items
                        will be more money tomorrow and beyond.


                        We do not respond
                      brand: Lapis
                      brand_id: 53d96e4e5632a02800000248
                      price:
                        '@type': PoshmarkPrice
                        amount: 59
                        currency: USD
                        currency_symbol: $
                      original_price: null
                      condition: uln
                      size: OS
                      size_system: us
                      colors: []
                      department:
                        id: 000e8975d97b4e80ef00a955
                        display: Women
                        slug: Women
                      category:
                        id: 00288975d97b4e80ef00a955
                        display: Jewelry
                        slug: Jewelry
                      subcategories:
                        - id: 011a9287d97b4e80ef00a955
                          display: Rings
                          slug: Rings
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/09/23/6ab400d9353f0a30c14e0f70/m_6ab400da4fcf264c11251fd1.jpg
                      images: []
                      status: published
                      availability: available
                      origin_domain: us
                      share_count: 5
                      like_count: 1
                      comment_count: 0
                      has_offer: true
                      created_at: 1790181593
                      first_published_at: 1790181595
                      updated_at: 1790635971
                      seller:
                        '@type': PoshmarkUserPreview
                        id: 659d66d89b37c7cf9a2475a7
                        alias: joemiles72
                        display_handle: joemiles72
                        full_name: Joe Miles
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg
                    - '@type': PoshmarkListing
                      id: 6aa599f1fa6ace7e9c0b9731
                      url: https://poshmark.com/listing/6aa599f1fa6ace7e9c0b9731
                      title: >-
                        New Condition 18" Sterling Silver Gothic Cross Pendant
                        Necklace 925
                      description: >-
                        Welcome to Midwest Treasures KC!


                        Silver prices are exploding, as well as tariffs, which
                        is raising prices every day. Don't wait! These items
                        will be more money tomorrow and beyond.


                        We are a Kansas C
                      brand: null
                      brand_id: null
                      price:
                        '@type': PoshmarkPrice
                        amount: 48
                        currency: USD
                        currency_symbol: $
                      original_price: null
                      condition: uln
                      size: OS
                      size_system: us
                      colors: []
                      department:
                        id: 000e8975d97b4e80ef00a955
                        display: Women
                        slug: Women
                      category:
                        id: 00288975d97b4e80ef00a955
                        display: Jewelry
                        slug: Jewelry
                      subcategories:
                        - id: 01189287d97b4e80ef00a955
                          display: Necklaces
                          slug: Necklaces
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/09/12/6aa599f1fa6ace7e9c0b9731/m_6aa599f2ab650bbb226eb5c4.jpg
                      images: []
                      status: published
                      availability: available
                      origin_domain: us
                      share_count: 90
                      like_count: 5
                      comment_count: 0
                      has_offer: true
                      created_at: 1789237745
                      first_published_at: 1789237749
                      updated_at: 1790738766
                      seller:
                        '@type': PoshmarkUserPreview
                        id: 659d66d89b37c7cf9a2475a7
                        alias: joemiles72
                        display_handle: joemiles72
                        full_name: Joe Miles
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg
                  not_found: false
                  total_results: 1133
                  unrecognized_filters: []
                  proxy_traffic_bytes: 1305179
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````